From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 4 May 2012<P>

Extremely disappointed to see what's been going on... the Blender is a refuge and outlet for all of us; let's not spoil it for anyone.<BR>
Kudos to Just L for speaking out and putting it so well.
<HR>
From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 4 May 2012<P>

i stopped posting here on 2008 and 2010 when someone made a very harsh comment on one of my works and i really felt so disappointed and picked on when i didn't do any wrong at all. <BR>
<BR>
Then I decided to be active here and start posting again this year. <BR>
<BR>
Hopefully it won't happen anymore. =)
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 May 2012<P>

Good grief; if I had left when they started picking on me I would have not gotten past the third poem. Just roll with the juice and don't let them take away the place that you know is your happy spot regardless of what they think they know about you or don't. It's your voice and just ask yourself, "What would Shakespeare have done." I think he would have said, "Write On!" haaaa (right on!)<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=2050">Em Hatemore</a><BR>
Date: 4 May 2012<P>

I just saw this and wonder what exactly this means? Laurel, I do not believe anything was ever directed toward you as I write about personal experience or memories. Nothing is ever directed toward anyone here as this is an anonymous website, correct? <BR>
<BR>
Sincerely confused...<BR>
<BR>
Emily
<HR>
From: <a href="/blend/av.cgi?id=2050">Em Hatemore</a><BR>
Date: 4 May 2012<P>

Also I agree thoroughly with the comments after the one calling me a psycho...I am disheartened to think that someone on a poetry submission site would ever think I would attempt to run them down. If I don't like your work I would never say so, only give constructive criticism. Your work is good, Laurel, so I don't understand the issue as I have never commented negatively on your work. Perhaps you should do just as you say and follow your dreams. Seems like it's working well for you and don't take your internal struggles out on others. I post on a handful of sites and chose them because there is no one that knows me here. It isn't like posting on the old myspace or facebook where everyone knows you. 
<HR>
From: <a href="/blend/av.cgi?id=2050">Em Hatemore</a><BR>
Date: 4 May 2012<P>

Just L, about <a href="/blend/wv.cgi?id=2012.02.13.16.57.11270">When kissing is a crime</a>:<BR>
<BR>
You are an outlaw. I love this line !
<HR>
From: <a href="/blend/av.cgi?id=2050">Em Hatemore</a><BR>
Date: 4 May 2012<P>

Perhaps we should all make amends and move on from this, yes? Everyone have a great May! Keep writing.
<HR>